I've decided to take the plunge into Hackintosh territory and move away from my iMac. A device that has really captivated me is EFI-x. They just released a firmware update that makes it compatible with i7 CPU's and x58 motherboards. The problem is that it requires you to have Leopard 10.5.7. Well that's just fine, but Apple doesn't sell a retail version of 10.5.7, only 10.5.6.

Does anyone have a suggestion on how to go about continuing with my plan of building a high-end i7 system with EFI-x? If I buy the 10.5.6 retail copy, could I transfer my current backup from my Time Machine (even though it's connected to my iMac)? I really want to do this with an i7 CPU.